#############################################################
#
# tmux
#
#############################################################

TMUX_VERSION = 1.4
TMUX_SOURCE = tmux-$(TMUX_VERSION).tar.gz
TMUX_SITE = http://$(BR2_SOURCEFORGE_MIRROR).dl.sourceforge.net/sourceforge/tmux/ 
TMUX_DEPENDENCIES = libevent ncurses

#TMUX_CONF_OPT =	--enable-shared \

define TMUX_CONFIGURE_CMDS
	(cd $(@D) ; $(SED) 's/#define HAVE_PROGNAME//' configure; \
	./configure --prefix=/usr)
endef

define TMUX_BUILD_CMDS
	$(MAKE) CC='$(TARGET_CC)' CFLAGS='$(TARGET_CFLAGS) \
		-DBUILD=\"$(TMUX_VERSION)\" -D_GNU_SOURCE \
		-D_POSIX_SOURCE' -C $(@D)
endef

define TMUX_INSTALL_TARGET_CMDS
	$(INSTALL) -D $(@D)/tmux $(TARGET_DIR)/usr/bin/tmux
	$(INSTALL) -D $(@D)/tmux.1 $(TARGET_DIR)/usr/share/man/man1/tmux.1
endef

$(eval $(call GENTARGETS,package,tmux))
